import { Controller } from '@hotwired/stimulus';

/*
 * Contrôleur Stimulus pour les boutons d'uploads.
 */

export default class extends Controller {

    connect() {
        this.initFilenameLink();
        console.log("Stimulus: gestion nom du ficher en upload");
    }

    initFilenameLink() {
        const fileInput = document.querySelector('#file-js input[type=file]');

        fileInput.addEventListener('change', () => {
            const fileName = document.querySelector("#file-js .file-name");
            console.log(fileInput.files);
            fileName.textContent = fileInput.files[0].name;
        });
    }
}